Subject: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Jun 2022 19:00:38 +0300

> From: Howard Melman <[email-masked]>
> Date: Wed, 22 Jun 2022 10:30:42 -0400
> Cc: [email-masked],
>  [email-masked],
>  [email-masked],
>  [email-masked]
> 
> On Jun 22, 2022, at 9:30 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> >> I could inhibit messages for those two but it seems a little messy.
> > 
> > Please don't: those messages are both informative and important.
> 
> The context was in my own config.
> 
> Could you explain why you find them important?  Why is it important
> that I know recent is trimming some items when it reaches its max
> limit?  That's just normal behavior.
> 
> Why is it important I know how many commands repeat-mode affects?
> Other minor-modes (like cua-mode) don't tell me or log how many
> bindings they provide.  And the "see describe-repeat-maps" point is in
> the command's docstring which is the most natural place for it.

I was talking only about desktop and ispell (the "those two" in your
message to which I replied).

> StefanK> Personally, I think we should remove both the recentf-mode
> StefanK> and repeat-mode messages here.  I don't find either of them
> StefanK> very helpful or interesting.
> 
> Eli> Please don't: those messages are both informative and important.

That's wrong attribution: I didn't reply to Stefan's message, I
replied to yours.